View Issue Details

IDProjectCategoryView StatusLast Update
0002242SymmetricDSBugpublic2015-03-30 09:23
ReporterelongAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.9 
Target Version3.7.11Fixed in Version3.7.11 
Summary0002242: SQL Server fails to create triggers
DescriptionCannot create triggers on SQL Server when a column of type "image" is used. The following message is shown below in the logs. Works okay in version 3.7.8 but is broken in 3.7.10.

Failed to create triggers for MyTable
org.jumpmind.db.sql.SqlException: Cannot use text, ntext, or image columns in the 'inserted' and 'deleted' tables.
    at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:288)
    at org.jumpmind.db.sql.AbstractSqlTemplate.translate(AbstractSqlTemplate.java:279)
    at org.jumpmind.db.sql.JdbcSqlTransaction.executeCallback(JdbcSqlTransaction.java:338)
    at org.jumpmind.db.sql.JdbcSqlTransaction.execute(JdbcSqlTransaction.java:262)
    at org.jumpmind.symmetric.db.AbstractSymmetricDialect.createTrigger(AbstractSymmetricDialect.java:315)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.rebuildTriggerIfNecessary(TriggerRouterService.java:1664)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.updateOrCreateDatabaseTriggers(TriggerRouterService.java:1538)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.updateOrCreateDatabaseTrigger(TriggerRouterService.java:1420)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.updateOrCreateDatabaseTriggers(TriggerRouterService.java:1410)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.syncTriggers(TriggerRouterService.java:1131)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.syncTriggers(TriggerRouterService.java:1078)
    at org.jumpmind.symmetric.service.impl.TriggerRouterService.syncTriggers(TriggerRouterService.java:1074)
    at org.jumpmind.symmetric.AbstractSymmetricEngine.syncTriggers(AbstractSymmetricEngine.java:771)
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master de338252

2015-03-26 15:57:43

chenson

Details Diff
0002242: SQL Server fails to create triggers
0002242
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/db/AbstractTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2015-03-26 13:58 elong New Issue
2015-03-26 13:58 elong Status new => assigned
2015-03-26 13:58 elong Assigned To => chenson
2015-03-26 15:57 chenson Status assigned => resolved
2015-03-26 15:57 chenson Fixed in Version => 3.7.11
2015-03-26 15:57 chenson Resolution open => fixed
2015-03-26 16:00 chenson Changeset attached => SymmetricDS trunk r9420
2015-03-30 09:23 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master de338252